import request from '@/utils/request'

// 查询检修项目-换热器列表
export function listOverhaulExchanger(query) {
  return request({
    url: '/pssr/overhaulExchanger/list',
    method: 'get',
    params: query
  })
}

// 查询检修项目-换热器详细
export function getOverhaulExchanger(id) {
  return request({
    url: '/pssr/overhaulExchanger/' + id,
    method: 'get'
  })
}

// 新增检修项目-换热器
export function addOverhaulExchanger(data) {
  return request({
    url: '/pssr/overhaulExchanger',
    method: 'post',
    data: data
  })
}

// 修改检修项目-换热器
export function updateOverhaulExchanger(data) {
  return request({
    url: '/pssr/overhaulExchanger',
    method: 'put',
    data: data
  })
}

//
export function updateOverhaulExchangerBatch(data) {
  return request({
    url: '/pssr/overhaulExchanger/editBatch',
    method: 'put',
    data: data
  })
}


// 确认检修项目-换热器
export function handleConfirmApprove(data) {
  return request({
    url: '/pssr/overhaulExchanger/confirmExchanger',
    method: 'put',
    data: data
  })
}

// 确认检修项目-换热器
export function handleTurnDownExchanger(data) {
  return request({
    url: '/pssr/overhaulExchanger/turnDownExchanger',
    method: 'put',
    data: data
  })
}

// 删除检修项目-换热器
export function delOverhaulExchanger(id) {
  return request({
    url: '/pssr/overhaulExchanger/' + id,
    method: 'delete'
  })
}

// 导出检修项目-换热器
export function exportOverhaulExchanger(query) {
  return request({
    url: '/pssr/overhaulExchanger/export',
    method: 'get',
    params: query
  })
}
